#
# spec file for package ginac (Version 0.9.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cln gmp gpp gppshare libgpp readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip cln compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gmp gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ginac
Version:      0.9.3
Release:      39
Summary:      C++ library for symbolic calculations
Copyright:    Christian Bauer, Alexander Frink, Richard Kreckel
Group:        Applications/Scientific
Provides:     ginsh
Requires:     cln
#Conflicts:
Autoreqprov:  on
Source0:       ginac-0.9.3.tar.bz2
Source1:       tutorial.tar.bz2
#Patch:         GiNaC-0.7.3.dif
Patch:         ginac-0.9.3.dif
Patch1:        ginac-aclocal.diff
BuildRoot:    %{_tmppath}/%{name}-root

%description
GiNaC (which stands for "GiNaC is Not a CAS (Computer Algebra System)") is an
open framework for symbolic computation within the C++ programming language.
It includes the ginsh ("GiNaC interactive shell") which provides a simple and
easy-to-use CAS-like interface to GiNaC for non-programmers.
Included are the libraries, include files and other resources you can use to
develop GiNaC applications.

Authors:
--------
    Christian.Bauer@uni-mainz.de
    Alexander.Frink@Uni-Mainz.DE
    Richard.Kreckel@Uni-Mainz.DE

SuSE series: d

%prep
%setup -n ginac-%{version} -a 1 
%patch
%patch1
#mv /usr/src/packages/BUILD/Gi* 
#%ifarch s390
#DIR=$(find . -name configure -printf "%h\n")
#%{?suse_update_config:%{suse_update_config -f $DIR }}
#%endif

%build
#RPM_BUILD_ROOT=/var/tmp/ginac
echo "RPM_BUILD_ROOT=[[$RPM_BUILD_ROOT]]"
CXXFLAGS="$RPM_OPT_FLAGS" ./configure  --with-cln-prefix=/usr --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir}
make 
make check
make doc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/ginac
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} INFODIR=%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/ginac
install -m 644 tutorial.ps $RPM_BUILD_ROOT/%{_defaultdocdir}/ginac/
ls -lR  $RPM_BUILD_ROOT

%files
##  rpm -qpl ginac-0.7.0-1.i386.rpm 
/usr/bin/ginac-config
/usr/bin/ginsh
/usr/bin/viewgar
/usr/lib/libginac*
/usr/include/ginac/*
/usr/share/aclocal/ginac.m4
/usr/share/doc/packages/ginac/*
#AUTHORS
#COPYING
#ChangeLog
#NEWS
#README
%doc  %{_mandir}/man1/ginsh.1.gz
%doc  %{_mandir}/man1/viewgar.1.gz
%doc  %{_mandir}/man1/ginac-config.1.gz
%doc  %{_infodir}/ginac.info*
#%changelog

%changelog -n ginac
* Thu Sep 13 2001 - jj@suse.de
- update to version 0.9.3 (old version didn't work any longer)
- modified patch for readline: ginac-0.9.3.dif
- using patch from author: ginac-aclocal.diff
* Tue Sep 04 2001 - schwab@suse.de
- Use new readline interface.
* Fri Apr 20 2001 - ro@suse.de
- fixed to compile on new readline
* Fri Mar 09 2001 - ro@suse.de
- fixed spec
* Wed Mar 07 2001 - jj@suse.de
- update to version 0.7.3
- included postscript tutorial
- enabled 'make check'
* Wed Feb 28 2001 - jj@suse.de
- initial version
